org.jfree.resources

## Class JCommonResources

- java.lang.Object
- - java.util.ResourceBundle
  - - java.util.ListResourceBundle
    - - org.jfree.resources.JCommonResources

    public class JCommonResources
    extends java.util.ListResourceBundle

Localised resources for the JCommon Class Library.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.ResourceBundle

`java.util.ResourceBundle.Control`

### Field Summary

### Fields inherited from class java.util.ResourceBundle

`parent`

### Constructor Summary

Constructors
Constructor and Description
`JCommonResources()` Default constructor.

### Method Summary

Methods
`java.lang.Object[][]` `getContents()` Returns the array of strings in the resource bundle.

### Methods inherited from class java.util.ListResourceBundle

`getKeys, handleGetObject, handleKeySet`

### Methods inherited from class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JCommonResources

    public JCommonResources()

Default constructor.

### Method Detail

#### getContents

    public java.lang.Object[][] getContents()

Returns the array of strings in the resource bundle.

Specified by:
  `getContents` in class `java.util.ListResourceBundle`
Returns:
  The resources.